Bug 50587 - libvpx: Multiple issues (4.3)
libvpx: Multiple issues (4.3)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.3
All Linux
: P5 normal (vote)
: UCS 4.3-5-errata
Assigned To: Quality Assurance
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-12-03 18:11 CET by Quality Assurance
Modified: 2019-12-11 17:06 CET (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 0.0 () NVD


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Quality Assurance univentionstaff 2019-12-03 18:11:56 CET
New Debian libvpx 1.6.1-3+deb9u2 fixes:
This update addresses the following issues:
* In libvpx, there is a possible out of bounds read due to a missing bounds  check. This could lead to remote information disclosure with no additional  execution privileges needed. User interaction is not needed for  exploitation. Product: AndroidVersions: Android-10Android ID: A-122675483  (CVE-2019-9232)
* In libvpx, there is a possible out of bounds read due to a missing bounds  check. This could lead to remote information disclosure with no additional  execution privileges needed. User interaction is needed for exploitation.  Product: AndroidVersions: Android-10Android ID: A-112001302 (CVE-2019-9325)
* In libvpx, there is a possible information disclosure due to improper input  validation. This could lead to remote information disclosure with no  additional execution privileges needed. User interaction is needed for  exploitation. Product: AndroidVersions: Android-10Android ID: A-80479354  (CVE-2019-9433)
Comment 1 Quality Assurance univentionstaff 2019-12-03 19:00:16 CET
--- mirror/ftp/4.3/unmaintained/4.3-0/source/libvpx_1.6.1-3+deb9u1.dsc
+++ apt/ucs_4.3-0-errata4.3-5/source/libvpx_1.6.1-3+deb9u2.dsc
@@ -1,3 +1,7 @@
+1.6.1-3+deb9u2 [Wed, 27 Nov 2019 00:55:50 +0100] Moritz Mühlenhoff <jmm@debian.org>:
+
+  * CVE-2019-9232 CVE-2019-9325 CVE-2019-9433
+
 1.6.1-3+deb9u1 [Wed, 28 Feb 2018 10:16:57 +0100] Ondřej Nový <onovy@debian.org>:
 
   * Fix OOB caused by odd frame width (CVE-2017-13194)

<http://10.200.17.11/4.3-5/#5849009131134287160>
Comment 2 Philipp Hahn univentionstaff 2019-12-04 09:46:44 CET
OK: yaml
OK: announce_errata
OK: patch
OK: piuparts

[4.3-5] 660c0ddf3d Bug #50587: libvpx 1.6.1-3+deb9u2
 doc/errata/staging/libvpx.yaml | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

[4.3-5] 79e9e41729 Bug #50587: libvpx 1.6.1-3+deb9u2
 doc/errata/staging/libvpx.yaml | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)
Comment 3 Erik Damrose univentionstaff 2019-12-11 17:06:31 CET
<http://errata.software-univention.de/ucs/4.3/622.html>